/**Begin D:\d_desk\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_MATCH_REDCONFIRM_L') 
 CREATE TABLE T_BDM_MATCH_REDCONFIRM_L (
FPKID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_MATCH_REDCONFIRM') 
 CREATE TABLE T_BDM_MATCH_REDCONFIRM (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSRCCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FNONEEDCONFIRM CHAR(1) DEFAULT ' ' NOT NULL,
FBOTHCONFIRM CHAR(1) DEFAULT ' ' NOT NULL,
FBUYERCONFIRM CHAR(1) DEFAULT ' ' NOT NULL,
FSALERCONFRIM CHAR(1) DEFAULT ' ' NOT NULL,
FTAXDOWNLOAD CHAR(1) DEFAULT ' ' NOT NULL,
FNEW CHAR(1) DEFAULT ' ' NOT NULL,
FAPIINTERFACE CHAR(1) DEFAULT ' ' NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FUPLOADTIME NVARCHAR(10) DEFAULT ' ' NOT NULL,
FMATCHFIELDS NVARCHAR(200) DEFAULT ' ' NOT NULL,
FITEMMATCHFIELD NVARCHAR(200) DEFAULT ' ' NOT NULL
);



/**End D:\d_desk\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
